Bug 71106 - EDITING: DDE function crashes LibO.
Summary: EDITING: DDE function crashes LibO.
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
4.1.2.3 release
Hardware: Other Windows (All)
: medium normal
Assignee: Caolán McNamara
URL:
Whiteboard: BSA target:4.2.0 target:4.1.4
Keywords:
Depends on:
Blocks:
 
Reported: 2013-10-31 22:29 UTC by John Smith
Modified: 2013-11-02 00:49 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
An ODT document, illustrating with a screenshot, the situation described. (28.95 KB, application/vnd.oasis.opendocument.text)
2013-10-31 22:29 UTC, John Smith
Details

Note You need to log in before you can comment on or make changes to this bug.
Description John Smith 2013-10-31 22:29:31 UTC
Created attachment 88453 [details]
An ODT document, illustrating with a screenshot, the situation described.

Problem description: 
Entering the third argument in the DDE function parameter input box in the Function Wizard causes LibO to crash.
Steps to reproduce:
1. Open an instance of Calc
2. Open the Function Wizard and double-click the DDE function.
3. Enter correct text inputs into the first two parameter boxes and then click in the third box.

Current behavior:
LibO crashes.
Expected behavior:
That further inputs could be made.
              
Operating System: Windows XP
Version: 4.1.2.3 release
Comment 1 Caolán McNamara 2013-11-01 14:03:38 UTC
regression in range c70e55c5d8ecfd5bb690886d7e39a42f66b3702a..6fe1ff54c667a4f669feee6954dd9b859fd442b2
Comment 2 Commit Notification 2013-11-01 14:35:47 UTC
Caolan McNamara committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=3b27470860cfa377dfc0cb940bba204d827434ad

Resolves: fdo#71106 editing dde function crashes



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 3 Caolán McNamara 2013-11-01 14:36:29 UTC
Well, that makes it not crash anyway, also proposed for 4-1 in gerrit
Comment 4 Commit Notification 2013-11-02 00:49:57 UTC
Caolan McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-4-1":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=16aedfcc7a3aeb3ff30210d57f837583aa12b667&h=libreoffice-4-1

Resolves: fdo#71106 editing dde function crashes


It will be available in LibreOffice 4.1.4.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.